import random
import os
import pickle
import math

os.chdir('C:\\Users\\Евгений\\Desktop\\python-labs\\TEMA6')
random.seed(5)

#1)
mnoz = set()
for i in range(40):
    num = round(random.uniform(-20, 10), 2)
    mnoz.add(num)

print(f"Создано множество: {mnoz}")

#2)
fl_name = input('Введите имя бинарного файла: ')
fl_name = fl_name.replace(" ", "")
print(f"Имя Вашего файла: '{fl_name}'")

#3)
fp = open(fl_name, 'wb')
pickle.dump(mnoz, fp)
fp.close()
print(f"Множество записано в Ваш файл: '{fl_name}'")

#4)
del mnoz
print("Множество удалено из памяти")

#5)
try:
    fp = open(fl_name, 'rb')
    load = pickle.load(fp)
    fp.close()
except FileNotFoundError:
    print(f"Файл '{file_name}' не найден")
    
sm = sum(load) / len(load)
sm = round(sm,2)
print(f"По {len(load)} элементам среднее = {sm}")
